nz-spin([nzSpinning]="loading", nzTip="Loading workflow", nzDelay="200")
  nz-card(nzBordered="false")
    .pane-container
      gridster.pane-surface(#gridContainer, [options]="paneOptions",
        (mouseup)="onPaneMouseUp($event)", (mousedown)="onPaneMouseDown($event)", (mousemove)="onPaneMouseMove($event)", (mouseleave)="onPaneMouseLeave()",
        (wheel)="onPaneMouseWheel($event)", (dblclick)="onPaneDblClick()")
        ryax-workflow-details-graph-node(*ngFor="let workflowModuleItem of workflowModules; trackBy: trackNodeById",
          [workflowModule]="workflowModuleItem", [activeModuleId]="activeWorkflowModuleId",
          (select)="onSelectNode($event)", (delete)="onDeleteNode($event)", (openWarnings)="onOpenWarnings()")
        ryax-workflow-details-graph-edge(*ngFor="let workflowModuleLinkItem of workflowModuleLinks; trackBy: trackEdgeById",
          [workflow]="workflow", [moduleLink]="workflowModuleLinkItem", [activeModuleId]="activeWorkflowModuleId",
          (delete)="onDeleteEdge($event)")
